
-----------------------------------------------------------------
--
ELEMENTS_AMOUNT = 5;

function OnSceneLoad(screen)
    LoadData(screen);
    
	play_field.game_state = game_state;
	MiniGameField = screen;
	
    game_state = {}
    game_state.locker = ReferenceCounter()
	game_state.elements_to_finish = 0;
    game_state.locked_objects = {};
    game_state.custom_cursors = {};
    game_state.active_objects = {}
    game_state.game_complite = false; 
    game_state.game_skip = false
    game_state.screen = screen;
    game_state.lostfocus = 0;
    game_state.HELP_STRING = "HELP_MINIGAME_07";
    
    local active_zone = {}
	
	play_field:IgnoreOnTestPoint('Arrow_Left')
	play_field:IgnoreOnTestPoint('Arrow_Right')
	
	Object = {};
	AddObject("kaska", 1);
	AddObject("perchatka", 2);
	AddObject("kurtka", 3);
	AddObject("shtanina", 4);
	AddObject("sapogi", 5);
	
	for i = 1, 5 do
	    MiniGameField:GetObject('galka_'..i..'_right'):SetZ(50)
	    MiniGameField:GetObject('galka_'..i..'_left'):SetZ(50)
	end
	
	LeftCursor = MiniGameField:GetObject("Arrow_Left");
	RightCursor = MiniGameField:GetObject("Arrow_Right");
	
	custom_cursor = GetGameApp():IsCustomCursorVisible();
	
	local comics1 = CreateComics(screen, 'Sheriff', 'eyes');

	comics1.OnHidden = function()
		game_state.locker:Release();
		game_state.game_complite = true;
	    OnCompletedGame();
    end 				

	AddSheriffEyeLogic(screen);

	game_state.finish_dialog = CreateChain('pixel', screen, comics1, GetString("COMICS_7_5"));
    
    comics1.OnShown = function()
		OnMinigameComicsShown(comics1)
    end
    
	ObjectAmount = 5;
	SkipButton= nil;
	
	InitText();
	TextUpdate();
	
	game_state.timer = screen:GetTimer()
	AddMiniGamesGUI_07_clothes(screen);
	screen:SetLayer(2);   
	
    LeftCursor:SetVisible(false);
    RightCursor:SetVisible(false);
	if(custom_cursor == true) then
		GetGameApp():SetCustomCursor('')
		TimerDoString('LeftCursor:SetVisible(true)', 1, screen:GetTimer())
        TimerDoString('RightCursor:SetVisible(true)', 1, screen:GetTimer())
	end
end

function OnSceneFree(screen)
    FreeData(screen);
end

function AddObject(ObjectName, Index)
	Object[Index] = {};
	Object[Index].Object = MiniGameField:GetObject(ObjectName); 
end

function InitText()
	info = CreateTextEntity('Bookman24Orange','');
    info:AttachTo(MiniGameField);
	info:SetZ(806.0);
	info:SetTracking(-3.0);
	info:SetScale(1.5);
end

function TextUpdate()
	info:SetXY(500.0, 20.0);
	if(ObjectAmount == 5) then
		info:SetText(GetString("MINI_GAME_7_0").." "..ObjectAmount.." "..GetString("MINI_GAME_7_1"));
	end
	
	if(ObjectAmount >=2 and ObjectAmount < 5) then
		info:SetText(GetString("MINI_GAME_7_0").." "..ObjectAmount.." "..GetString("MINI_GAME_7_2"));
	end
	
	if(ObjectAmount == 1) then
		info:SetText(GetString("MINI_GAME_7_0").." "..ObjectAmount.." "..GetString("MINI_GAME_7_3"));
	end
	
	if(ObjectAmount == 0) then
		info:SetText("");
	end
end

-------------------------------------------------------------------------

-------------- 
function AddMiniGamesGUI_07_clothes(screen)
	GUI_Z = 1000;
	
	SKIP_START_TIME = 0.4;
	
	play_field:GetLevelScreen():GetPanel():Stop();
	play_field:SetEnabled(false);
		
	minigames_gui = {};
	minigames_gui.screen = screen;
	minigames_gui.skip_flag = false;
	minigames_gui.skip_pause = false;
	
	TimerDoString("minigames_gui.screen:Stop()", SKIP_START_TIME, minigames_gui.screen:GetTimer());
	TimerDoString("load_screen('data/Lua/Screens/DialogMiniGameHelp.lua')", SKIP_START_TIME, minigames_gui.screen:GetTimer());
	
	--окно
	local anim = CreateAnimation('data/Texture/GUI/MiniGames/win.png',0,0,166,197,1,0)
	minigames_gui.screen:CreateObject('win',anim,858,0,GUI_Z,0,1,1)
	--шкала
	local anim = CreateAnimation('data/Texture/GUI/MiniGames/st.png',0,0,69,69,1,0)
	minigames_gui.screen:CreateObject('st',anim,893,14,GUI_Z + 200,0,1,1)
	-------------------------------------------------------------------------------------------
	
	minigames_gui.segment_amount = 0;
	minigames_gui.skip_time = SKIP_DELAY_TIME / 73;
	
	ShowGameHelpButton_07_clothes(screen);
	
	--кнопка Down
	local up = CreateAnimation('data/Texture/GUI/MiniGames/done.png',0,0,71,46,1,0)
	local over = CreateAnimation('data/Texture/GUI/MiniGames/done.png',0,46,71,46,1,0)
	local down = CreateAnimation('data/Texture/GUI/MiniGames/done.png',0,92,71,46,1,0)
	local ButtonDown = CreateButton(up, over, down, "Down", screen)
	ButtonDown:AttachTo(screen);
	ButtonDown:SetOpacity(0.0);
	ButtonDown:SetXY(-100, -100);
	ButtonDown:SetZ(GUI_Z + 205);
	minigames_gui.button_down = ButtonDown;
	-------------------------------------------------------------------------------------------

	--кнопка Skip
	local shadow = CreateAnimation('data/Texture/GUI/MiniGames/skip1.png',0,0,43,17,1,0)
	minigames_gui.skip_shadow = minigames_gui.screen:CreateObject('shadow', shadow,907,39,GUI_Z + 201,0,1,1)
		
	TimerDo(minigames_gui.screen:GetTimer(), SKIP_START_TIME + 0.1, StartSkipInit_07_clothes)
	-------------------------------------------------------------------------------------------
end

function StartSkipInit_07_clothes()
	ShowSkipButton_07_clothes(minigames_gui.screen:GetTimer(), 0, 0);
end

function ShowGameHelpButton_07_clothes(screen)
	--кнопка Help
	local Help = CreateAnimation('data/Texture/GUI/MiniGames/help.png',0,0,77,47,3,10)
	local shadow_help = CreateAnimation('data/Texture/GUI/MiniGames/help.png',0,0,77,47,1,0)
	MiniGameField:CreateObject('help',Help,941,121,1011,0,1,1)	
	MiniGameField:CreateObject('shadow_help',shadow_help,921,101,1012,0,1,1);
	MiniGameField:GetObject('shadow_help'):SetOpacity(0.01);
	minigames_gui.button_help = MiniGameField:GetObject('help');
	minigames_gui.button_help:GetAnimation():Stop();
	minigames_gui.button_help:GetAnimation():SetFrame(0);
end

function ShowSkipButton_07_clothes(timer, global_height, cur_height)
	if(cur_height < 50 and minigames_gui.skip_flag == false) then
		local anim = CreateAnimation('data/Texture/GUI/MiniGames/poloska1.png',0,0,4,16,1,0)
		anim:SetHotSpot(6,35)
		minigames_gui.screen:CreateObject('strelka_'..cur_height,anim,928,48,GUI_Z + cur_height + 1,0,1,1)
		minigames_gui.screen:GetObject('strelka_'..cur_height):SetAngle(-M_PI / 25 * cur_height);

		cur_height = cur_height + 1;
		minigames_gui.segment_amount = minigames_gui.segment_amount + 1;
		TimerDo(timer, minigames_gui.skip_time, ShowSkipButton_07_clothes, timer, global_height, cur_height)
	elseif(minigames_gui.skip_flag == false) then
		ActiveSkipButton_07_clothes();
	end
end

function HideMiniGameGUI_07_clothes()
	local HIDE_TIME = 0.3;
	
	minigames_gui.skip_shadow:SetVisible(false);
	
	minigames_gui.skip_flag = true;
	minigames_gui.skip_shadow:SetVisible(false);
	 
	if(minigames_gui ~= nil and minigames_gui.anim_skip ~= nil) then
		minigames_gui.anim_skip:SetVisible(false);
		minigames_gui.anim_skip:SetXY(-100, -100);
	end
	
	if(minigames_gui ~= nil and minigames_gui.button_help ~= nil) then
		minigames_gui.button_help:SetVisible(false);
		minigames_gui.button_help:SetXY(-100, -100);
	end

	minigames_gui.screen:GetObject('win'):ChangeOpacity(1.0, 0.0, HIDE_TIME);
	minigames_gui.screen:GetObject('st'):ChangeOpacity(1.0, 0.0, HIDE_TIME);
	local SEGMENT_AMOUNT = 50;
	for i = 0, minigames_gui.segment_amount - 1 do
		minigames_gui.screen:GetObject('strelka_'..i):ChangeOpacity(1.0, 0.0, HIDE_TIME);
	end
end

function ActiveSkipButton_07_clothes()
	if(minigames_gui ~= nil and minigames_gui.anim_skip ~= nil) then
		minigames_gui.anim_skip:SetXY(-100, -100);
	end
	
	minigames_gui.skip_shadow:SetVisible(false);
	
	local anim =   CreateAnimation('data/Texture/GUI/MiniGames/skip.png', 0,0,72,48,3,10)
	local shadow_anim = CreateAnimation('data/Texture/GUI/MiniGames/skip.png',	0,48,72,48,1,0)
	
	MiniGameField:CreateObject('skip',anim,892,23,1110,0,1,1)	
	MiniGameField:CreateObject('shadow_skip',shadow_anim,876,24,1110,0,1,1);
	
	MiniGameField:GetObject('shadow_skip'):SetOpacity(0.01);
	
	SkipButton = MiniGameField:GetObject('skip');
	minigames_gui.anim_skip = MiniGameField:GetObject('skip');
	SkipButton:GetAnimation():Stop();
	SkipButton:GetAnimation():SetFrame(0);
	
	skip_enabled = false;
	local af = CreateAnimationEffector()        
	af:AttachTo(SkipButton);
	af:SetMode(_ANIM_FWD);
	af:SetKey(_TRACK_O, 0.0, 0.0);
	af:SetKey(_TRACK_O, 1.0, 1.0);
	af:Play();
	TimerDo(minigames_gui.screen:GetTimer(), 1.0, EnabledSkipButton_07_clothes);
end

function EnabledSkipButton_07_clothes()
	skip_enabled = true;
end 
   
function HideSkipButton_07_clothes()
	minigames_gui.anim_skip:SetVisible(false);
	MiniGameField:GetObject('skip'):SetXY(-100, -100);
	MiniGameField:GetObject('shadow_skip'):SetXY(-100, -100);
end
   
function IsComplite()
	return false;
end

function IsObject(object)
	for i = 1, ELEMENTS_AMOUNT do
		if(object:GetName() == Object[i].Object:GetName()) then
			return true;
		end
	end
	
	return false;
end

function GetObjectIndex(object)
	for i = 1, ELEMENTS_AMOUNT do
		if(object:GetName() == Object[i].Object:GetName()) then
			return i;
		end
	end
	
	return 0;
end

function StartComics()
	game_state.chain1.Start();
	--game_state.comics.SetVisible(true);
end

------------------------------------------------------------------------

function OnScreenShown()
end

function OnUpdate(dt)
	TextUpdate();
	
	if(custom_cursor == true) then
		if(game_state.game_complite == nil or game_state.game_complite == false) then
			LeftMouseX = GetMousePos().x / 2;
			RightMouseX = GetMousePos().x / 2 + 512;
		else
			LeftMouseX = GetMousePos().x;
			RightMouseX = GetMousePos().x;
		end
		
		if(LeftMouseX > 470) then
			LeftMouseX = 470;
		end

		LeftCursor:SetXY(LeftMouseX, GetMouseY());
		RightCursor:SetXY(RightMouseX, GetMouseY());
	end
	
	local object = nil;
	
	if(custom_cursor == true) then
		object = MiniGameField:FindObjectByPos(Vector(RightMouseX - 13, GetMouseY() - 14));
	else
		object = MiniGameField:FindObjectByPos(Vector(GetMousePos().x - 13, GetMousePos().y - 14));
	end
	
	if(SkipButton ~= nil) then
		if(object ~= nil and (object:GetName() == "shadow_skip") and skip_enabled == true) then
			SkipButton:GetAnimation():SetFrame(1);
		else
			SkipButton:GetAnimation():SetFrame(0);
		end
	end
	
	if(minigames_gui.button_help ~= nil) then
		if(object ~= nil and (object:GetName() == "shadow_help")) then
			minigames_gui.button_help:GetAnimation():SetFrame(1);
		else
			minigames_gui.button_help:GetAnimation():SetFrame(0);
		end
	end
end

function OnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
end
 
function OnObjectMouseDown(object)
	if(custom_cursor == true) then
		object = MiniGameField:FindObjectByPos(Vector(RightMouseX - 13, GetMouseY() - 14));
	elseif GetMousePos().x < 507 then
	    object = MiniGameField:FindObjectByPos(Vector(GetMousePos().x + 507, GetMousePos().y))
	end
	
	if(not object or game_state.locked_objects[object:GetName()] == true) then
		return;
	end
	
	if(IsObject(object) == true) then
		local Index = GetObjectIndex(object);
		game_state.locked_objects[object:GetName()] = true;
		PlaySound("ToolSet");
		MiniGameField:GetObject("galka_"..Index..'_right'):SetZ(105);
		MiniGameField:GetObject("galka_"..Index..'_right'):GetAnimation():SetColor("0xFFFFFFFF");
		MiniGameField:GetObject("galka_"..Index..'_left'):SetZ(105);
		MiniGameField:GetObject("galka_"..Index..'_left'):GetAnimation():SetColor("0xFFFFFFFF");
		ObjectAmount = ObjectAmount - 1;
		if(ObjectAmount == 0) then
			--HideSkipButton_07_clothes();
			MiniGameField:GetObject("ramka"):SetZ(105);
			game_state.game_complite = true;
			HideMiniGameGUI_07_clothes();
			FinishDialog();
			if(custom_cursor == true) then
				GetGameApp():SetCustomCursor('CursorArrow');
			end
			LeftCursor:SetVisible(false);
			RightCursor:SetVisible(false);
		end
	else
		PlaySound("WrongClick");
	end
	
	if(object:GetName() == "shadow_skip"  and skip_enabled == true) then
		--HideSkipButton_07_clothes()
		local Time = SkipMiniGame();
		if(Time >= -1) then
			HideMiniGameGUI_07_clothes();
			GTimerDoString('FinishDialog()', Time);
		end
	end
	
	if(object:GetName() == "help" or object:GetName() == "shadow_help") then
		load_screen("data/Lua/Screens/DialogMiniGameHelp.lua")
		MiniGameField:Stop();
	end
	
	DefaultOnObjectMouseDown(object);
end

function OnObjectMouseUp(object)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnObjectRightMouseUp(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
    
    if title == "Down" then       
        HideDoneButton();
        FinishDialog();
    end
    --OnMiniGameButtonPress(title);
end

function SkipMiniGame()
	if(game_state.game_skip == false) then
		MiniGameField:GetObject("ramka"):SetZ(105);
		for i = 1, 5 do
            MiniGameField:GetObject('galka_'..i..'_right'):SetZ(105);
            MiniGameField:GetObject('galka_'..i..'_right'):GetAnimation():SetColor("0xFFFFFFFF");
            MiniGameField:GetObject('galka_'..i..'_left'):SetZ(105);
            MiniGameField:GetObject('galka_'..i..'_left'):GetAnimation():SetColor("0xFFFFFFFF");
		end
		LeftCursor:SetVisible(false);
		RightCursor:SetVisible(false);
		if(custom_cursor == true) then
			GetGameApp():SetCustomCursor('CursorArrow');
		end
		game_state.game_skip = true;
		ObjectAmount = 0;
		TextUpdate()
		
		return 0.4;
    end
    
    return -1.0;
end

function OnLostFocus()
    if(game_state.lostfocus == 0 and custom_cursor == true) then
		GetGameApp():SetCustomCursor('CursorArrow')
    end
    game_state.lostfocus = game_state.lostfocus + 1;
end

function OnGainFocus()
	if(game_state.game_complite == false and game_state.game_skip == false) then
		game_state.lostfocus = game_state.lostfocus - 1;
		if(game_state.lostfocus == 0 and custom_cursor == true) then
			GetGameApp():SetCustomCursor('')
		end
    end
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Minigames/7_Clothes/ramka.png',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ramka',anim,512,384,802,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/7_Clothes/podsobka_bak.jpg',0,0,518,768,1,0)
	anim:SetHotSpot(259,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('podsobka_bak',anim,254,376,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/7_Clothes/kaska.png',0,0,142,101,1,0)
	anim:SetHotSpot(71,50)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('kaska',anim,714,79,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/7_Clothes/sapogi.png',0,0,147,164,1,0)
	anim:SetHotSpot(73,82)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('sapogi',anim,607,655,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/7_Clothes/kurtka.png',0,0,94,195,1,0)
	anim:SetHotSpot(47,97)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('kurtka',anim,933,341,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/7_Clothes/perchatka.png',0,0,51,58,1,0)
	anim:SetHotSpot(25,29)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('perchatka',anim,822,268,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/7_Clothes/shtanina.png',0,0,53,182,1,0)
	anim:SetHotSpot(26,91)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('shtanina',anim,903,499,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/Sheriff.dds',0,0,532,636,1,0)
	anim:SetHotSpot(266,256)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Sheriff',anim,734,390,400,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel',anim,512,384,1501,0,128,96)
	local anim = CreateAnimation('data/Texture/Comics/eyes.png',0,0,79,33,1,0)
	anim:SetHotSpot(39,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('eyes',anim,725,213,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/7_Clothes/galka_1.png',0,0,87,98,1,0)
	anim:SetHotSpot(43,49)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('galka_1_right',anim,730,87,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/7_Clothes/galka_2.png',0,0,67,81,1,0)
	anim:SetHotSpot(33,40)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('galka_2_right',anim,837,257,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/7_Clothes/galka_3.png',0,0,69,81,1,0)
	anim:SetHotSpot(34,40)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('galka_3_right',anim,970,332,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/7_Clothes/galka_4.png',0,0,74,95,1,0)
	anim:SetHotSpot(37,47)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('galka_4_right',anim,911,479,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/7_Clothes/galka_5.png',0,0,66,88,1,0)
	anim:SetHotSpot(33,44)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('galka_5_right',anim,602,643,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/7_Clothes/galka_1.png',0,0,87,98,1,0)
	anim:SetHotSpot(43,49)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('galka_1_left',anim,213,87,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/7_Clothes/galka_2.png',0,0,67,81,1,0)
	anim:SetHotSpot(33,40)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('galka_2_left',anim,320,257,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/7_Clothes/galka_3.png',0,0,69,81,1,0)
	anim:SetHotSpot(34,40)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('galka_3_left',anim,453,332,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/7_Clothes/galka_4.png',0,0,74,95,1,0)
	anim:SetHotSpot(37,47)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('galka_4_left',anim,394,479,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/7_Clothes/galka_5.png',0,0,66,88,1,0)
	anim:SetHotSpot(33,44)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('galka_5_left',anim,85,643,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Cursors/Arrow.png',0,0,59,59,10,10)
	anim:SetHotSpot(13,14)
	anim:SetBlendMode(2)
	anim:SetColor('0x8000FF00')
	screen:CreateObject('Arrow_Left',anim,344,299,2010,0,1,1)
	local anim = CreateAnimation('data/Texture/Cursors/Arrow.png',0,0,59,59,10,10)
	anim:SetHotSpot(13,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Arrow_Right',anim,910,316,2020,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/7_Clothes/bak.jpg',0,0,512,768,1,0)
	anim:SetHotSpot(256,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bak',anim,769,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/7_Clothes/sprait_kolonny.png',0,0,50,154,1,0)
	anim:SetHotSpot(25,77)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_kolonny',anim,657,671,104,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
